# PDE-VKOGA

Modification of the classical vkoga code to solve PDEs in a greedy kernel way.


## Installation

pip install git+https://gitlab.mathematik.uni-stuttgart.de/pub/ians-anm/pde-vkoga@v0.1.1


## Usage

Have a look into the [demo file](https://gitlab.mathematik.uni-stuttgart.de/pub/ians-anm/pde-vkoga/-/blob/main/examples/example.py).


## How to cite:
If you use this code in your work, please cite the paper

> T. Wenzel, D. Winkle, G. Santin, and B. Haasdonk. Adaptive meshfree solution
of linear partial differential equations with PDE-greedy kernel methods. ArXiv,
(2207.13971), 2022. Submitted


```bibtex:
@article{wenzel2022adaptive,
  doi = {10.48550/ARXIV.2207.13971},
  url = {https://arxiv.org/abs/2207.13971},
  author = {Wenzel, Tizian and Winkle, Daniel and Santin, Gabriele and Haasdonk, Bernard},
  title = {Adaptive meshfree solution of linear partial differential equations with {PDE}-greedy kernel methods},
  number = {2207.13971}, 
  publisher = {arXiv},
  year = {2022},
  journal={ArXiv},
  type={ArXiv},
  note={Submitted}
}
}
```

For further details on the VKOGA algorithm, please refer to [here](https://github.com/GabrieleSantin/VKOGA).


